<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_pensonal.ui.fragment.PensonalSettingFragment.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_backLayoutState="gone"
            app:Easy_hasStatusPadding="true"
            app:Easy_lineState="visiable"
            app:Easy_title="Setting" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_65dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_6dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="@drawable/setting_item_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            binding:clicks="@{click.gotoResetPasswordPage}">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:src="@drawable/setting_reset_psd_icon" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_weight="1"
                android:text="Reset Password"
                android:textColor="#FF3E4A5D"
                android:textSize="@dimen/d_15sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/d_24dp"
                android:src="@drawable/more_black" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_65dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="@drawable/setting_item_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:src="@drawable/setting_version_no_icon" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_weight="1"
                android:text="Version No."
                android:textColor="#FF3E4A5D"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/d_24dp"
                android:text="V1.0.0"
                android:textColor="#FF308BF0"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_65dp"
            android:layout_marginLeft="@dimen/d_15dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_15dp"
            android:background="@drawable/setting_item_bg"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            binding:clicks="@{click.doLogout}">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_22dp"
                android:src="@drawable/setting_log_out_icon" />

            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_11dp"
                android:layout_weight="1"
                android:text="Logout"
                android:textColor="#FF3E4A5D"
                android:textSize="@dimen/d_15sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/d_24dp"
                android:src="@drawable/more_black" />

        </LinearLayout>


    </LinearLayout>

</layout>

